
/* appdefs.h	    Created:	1994-08-18  Revised:  1994-08-18	*/

/* Module Definition Header						*/

/* Copyright ¸ 1994  Prominare Inc.  All Rights	Reserved.		*/


extern FONTMETRICS fm;		   /* Font Metrics Info			*/
extern HSWITCH hSwitch;		   /* Task List	Entry Handle		*/
extern HAB  hAB;		   /* Program Anchor Block Handle	*/
extern HMQ  hmqMultiWnd;	   /* Program Message Queue Handle	*/
extern HWND hwndMultiWnd;	   /* Client Window Handle		*/
extern HWND hwndMultiWndFrame;	   /* Frame Window Handle		*/
extern HWND hmenuMultiWnd;	   /* Menu Handle			*/
extern HWND hwndChildWin;	   /* Client Window Handle		*/
extern HWND hwndChildWinFrame;	   /* Frame Window Handle		*/
extern HWND hmenuChildWin;	   /* Menu Handle			*/
extern HWND hwndCapChild;	   /* Client Window Handle		*/
extern HWND hwndCapChildFrame;	   /* Frame Window Handle		*/
VOID InitProg(VOID);
HWND CreateStdWindow(HWND hwndParent, ULONG flStyle, ULONG flCreateFlags,
		     PSZ pszClientClass, PSZ pszTitle, ULONG styleClient,
		     HMODULE hmod, ULONG idResources, PHWND phwndClient,
		     LONG x, LONG y, LONG cx, LONG cy);
MRESULT	UreKeyProc(HWND	hWnd, ULONG msg, MPARAM	mp1, MPARAM mp2);
VOID	UreGetTemplate(HWND hWnd, ULONG	id);
MRESULT	EXPENTRY MultiWndProc(HWND hWnd, ULONG msg, MPARAM mp1,	MPARAM mp2);
MRESULT	EXPENTRY ChildWndProc(HWND hWnd, ULONG msg, MPARAM mp1,	MPARAM mp2);
MRESULT	EXPENTRY CapChildWinProc(HWND hWnd, ULONG msg, MPARAM mp1, MPARAM mp2);
MRESULT	EXPENTRY ExampleDlgProc(HWND hWnd, ULONG msg, MPARAM mp1, MPARAM mp2);
MRESULT	EXPENTRY AboutDlgProc(HWND hWnd, ULONG msg, MPARAM mp1,	MPARAM mp2);
